<?php

namespace Drupal\tacjs_domain\Form\Steps;

use Drupal\Core\Config\Config;
use Drupal\Core\Form\FormStateInterface;
use Drupal\tacjs\Form\Steps\AddServices;

/**
 * Manage TacJS services for a domain.
 *
 * @package Drupal\tacjs_domain\Form\Steps
 */
class DomainAddServices extends AddServices {

  use DomainFormTrait;

  /**
   * {@inheritDoc}
   */
  protected function processSubmit(FormStateInterface $form_state, Config $config) {
    parent::processSubmit($form_state, $config);
    // Required to make the newly activated services available to the JavaScript
    // generation code.
    // Domain issue #3513800 will fix that and make this module useless.
    $config->setModuleOverride($config->getRawData());
  }

}
