<?php

namespace Drupal\tacjs_domain\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Conditionally provide routing information.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('tacjs.manage_dialog')) {
      $route->setDefault('_form', '\Drupal\tacjs_domain\Form\Steps\DomainManageDialog');
    }
    if ($route = $collection->get('tacjs.add_services')) {
      $route->setDefault('_form', '\Drupal\tacjs_domain\Form\Steps\DomainAddServices');
    }
    if ($route = $collection->get('tacjs.edit_texts')) {
      $route->setDefault('_form', '\Drupal\tacjs_domain\Form\Steps\DomainEditTexts');
    }
  }

}
